Subject: Re: [PATCH] have merge put FETCH_HEAD data in commit message

From: "J. Bruce Fields" <[email-masked]>
Date: Fri, 23 Mar 2007 11:33:14 -0400

On Fri, Mar 23, 2007 at 03:23:55PM +0100, Jakub Narebski wrote:
> J. Bruce Fields wrote:
> > On Fri, Mar 23, 2007 at 02:57:38PM +0100, Jakub Narebski wrote:
> >> Junio C Hamano wrote:
> >> 
> >>> +The commit message is formed by the title taken from the
> >>> +"Subject: ", a blank line and the body of the message up to
> >>> +where the patch begins.  Excess whitespaces at the end of the
> >>> +lines are automatically stripped.
> >> 
> >> Does this mean that git-am cannot make a log message that doesn't
> >> follow git formatting commit message guidelines, namely short one-line
> >> description, then longer description and signoff?

Oh, sorry, I see--I misread "make" for "take" in the above!

> > 
> > The input to git-am is email, not log messages.
> 
> But that means that commit message which doesn't have empty line after
> first line cannot be send via git-send-email + git-am without changes,
> not be subject to git-rebase (which uses git-am machinery unless invoked
> with --merge option) without changing commit message, isn't it?

Yup.

Doesn't seem like a big deal to me.  But then it'd also seem more
sensible to me if git-rebase worked directly with the original commits
rather than going through git-format-patch/git-am.  Maybe what I want is
a git-cherry-pick that will accept a range.

--b.